Mono(cert-sync)

NAME
cert-sync - Mono Certificate Store Sync Tool

SYNOPSIS

cert-sync [--quiet] [--user] filename

DESCRIPTION
This tool allows you to populate a Mono certificate store, from a large concatenated list of certificates in PEM format (commonly provided on most Linux distributions). Its use is intended to be automated at Mono install time, by distribution packagers, to seamlessly provide SSL support to Mono applications without further user interaction.

OPTIONS

--quiet
    Suppress verbose output

--user
    Populate the per-user store in the user's home directory, instead of the system-wide store.

filename.crt
    Path to a certificate bundle. The Mono store will have any extra entries removed, and new entries added, to reflect the provided file.

EXAMPLES

cert-sync /etc/ssl/certs/ca-certificates.crt
    Synchronize the machine store, from the Debian cert store location

cert-sync --user /etc/pki/tls/certs/ca-bundle.crt
    Synchronize the user store, from the Red Hat cert store location

AUTHOR
Written by Jo Shields

COPYRIGHT
Copyright (C) 2016 Microsoft Corp

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-list for details.

WEB SITE
Visit http://www.mono-project.com for details

SEE ALSO
certmgr(1)